﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Labs
{
    public partial class DropDownList : UserControl
    {
        public DropDownList()
        {
            InitializeComponent();
        }

        //метод заполнения
        public void Fill(List<string> lines)
        {
            Clear();
            foreach (string line in lines)
            {
                comboBox.Items.Add(line);
            }
        }

        //метод очистки
        public void Clear()
        {
            comboBox.Items.Clear();
        }


        //св-во для получения/установки выбранного значения (строчки)
        public string? SelectedLine
        {
            //если строка была выбрана, возвращает её; иначе - пустую строку 
            get => comboBox.SelectedItem?.ToString() ?? string.Empty;
            set
            {
                comboBox.SelectedIndex = comboBox.Items.IndexOf(value);
            }
        }

        //событие, вызываемое при смене значения

        private EventHandler onLineChanged;
        public event EventHandler LineChanged
        {
            add
            {
                onLineChanged += value;
            }
            remove
            {
                onLineChanged -= value;
            }
        }

        private void comboBox_SelectedIndexChanged(object sender, EventArgs e)
        {
            onLineChanged?.Invoke(sender, e);
        }
    }
}
