﻿using DocumentFormat.OpenXml.Packaging;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Labs.HelperClasses
{
    /// <summary>
    /// Класс для удаления напоминаний о Aspose
    /// </summary>
    public class Remover
    {
        public Remover() { }
        public void Remove(string filePath) {
            using (WordprocessingDocument document = WordprocessingDocument.Open(filePath, true))
            {
                var mainPart = document.MainDocumentPart;

                //Удаление красного текста от aspose
                //удаление 1-го красного текста
                var textsToRemove = mainPart.Document.Body.Descendants<DocumentFormat.OpenXml.Wordprocessing.Text>()
                        .Where(t => t.Text.Contains("Evaluation Only. Created with Aspose.Words. Copyright 2003-2023 Aspose Pty Ltd."))
                        .ToList();
                foreach (var text in textsToRemove)
                {
                    text.Remove();
                }

                // Удаление нижнего колонтитула (2-го красного текста)
                var footerParts = document.MainDocumentPart.FooterParts;
                foreach (var footerPart in footerParts)
                {
                    footerPart.Footer.RemoveAllChildren<DocumentFormat.OpenXml.Wordprocessing.Paragraph>();
                    footerPart.Footer.RemoveAllChildren<DocumentFormat.OpenXml.Wordprocessing.Table>();
                    footerPart.Footer.RemoveAllChildren<DocumentFormat.OpenXml.Wordprocessing.Picture>();
                }

                // Удаление вотермарки
                foreach (var headerPart in mainPart.HeaderParts)
                {
                    foreach (var drawing in headerPart.Header.Descendants<DocumentFormat.OpenXml.Wordprocessing.Drawing>().ToList())
                    {
                        drawing.Remove();
                    }
                }
                document.Save();
                document.Dispose();
            }
        }  
    }
}
