﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Labs.HelperClasses.WordLineChart
{
    public class WordLineChartConfig
    {
        /// <summary>
        /// Путь до файла
        /// </summary>
        public string FilePath = string.Empty;

        /// <summary>
        /// Заголовок документа
        /// </summary>
        public string DocumentTitle = string.Empty;

        /// <summary>
        /// Заголовок диаграммы 
        /// </summary>
        public string LineChartTitle = string.Empty;

        /// <summary>
        /// Расположение легенды диаграммы
        /// </summary>
        public LegendLocation LegendLocation;

        /// <summary>
        /// Данные для диаграммы
        /// </summary>
        public List<LineChartSeria> Data;

        /// <summary>
        /// Категории (подписи (ключевые точки) по горизонтали)
        /// </summary>
        public string[] Categories;

        public WordLineChartConfig(string filePath, string documentTitle, string lineChartTitle, LegendLocation legendLocation, List<LineChartSeria> data, string[] categories)
        {
            FilePath = filePath;
            DocumentTitle = documentTitle;
            LineChartTitle = lineChartTitle;
            LegendLocation = legendLocation;
            Data = data;
            Categories = categories;
        }
    }
}
