﻿using OnlineShopContracts.BindingModels;
using OnlineShopContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OnlineShopDatabase.Models
{
    public class Order
    {
        public int Id { get; set; }

        [Required]
        public string FIO { get; set; }

        //!!!МБ изменить на список строк
        [Required]
        public string Description { get; set; }

        [Required]
        public string Status { get; set; }

        public double? Sum { get; set; }

        public OrderViewModel GetViewModel => new()
        {
            Id = Id,
            FIO = FIO,
            Description = Description,
            Sum = Sum,
            Status = Status,
        };
        public static Order? Create(OrderBindingModel model)
        {
            if (model == null)
            {
                return null;
            }

            return new Order()
            {
                Id = model.Id.Value,
                FIO = model.FIO,
                Description = model.Description,
                Sum = model.Sum,
                Status = model.Status
            };
        }
        public void Update(OrderBindingModel model)
        {
            if (model == null)
            {
                return;
            }
            FIO = model.FIO;
            Description = model.Description;
            Sum = model.Sum;
            Status = model.Status;
        }
    }
}
