﻿using OnlineShopContracts.BindingModels;
using OnlineShopContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OnlineShopDatabase.Models
{
    public class Status
    {
        public int Id { get; set; }

        [Required]
        public string Name { get; set; }

        public StatusViewModel GetViewModel => new()
        {
            Id = Id,
            Name = Name,
        };

        public static Status? Create(StatusBindingModel model)
        {
            if (model == null)
            {
                return null;
            }

            return new Status()
            {
                Id = model.Id.Value,
                Name = model.Name
            };
        }

        public void Update(StatusBindingModel model)
        {
            if (model == null || string.IsNullOrEmpty(model.Name))
            {
                return;
            }
            Name = model.Name;
        }
    }
}
